Skip to main content
Get the conversation details based on the conversation ID
GET https://services.leadconnectorhq.com/conversations/{conversationId}

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Path parameters

conversationId
string
default:"tDtDnQdgm2LXpyiqYvZ6"
required
Conversation ID as string

Respuestas

contactId
string
default:"ve9EPM428kjkvShlRW1KT"
required
Unique identifier of the contact associated with this conversation
locationId
string
default:"ve9EPM428kjkvShlRW1KT"
required
Unique identifier of the business account where this conversation takes place
deleted
boolean
default:"False"
required
Flag indicating if this conversation has been moved to trash/deleted
inbox
boolean
default:"True"
required
Flag indicating if this conversation is currently in the main inbox view
type
number
required
Communication channel type for this conversation: 1 (Phone), 2 (Email), 3 (Facebook Messenger), 4 (Review), 5 (Group SMS), 6 (Internal Chat - coming soon)
unreadCount
number
default:"1"
required
Number of messages in this conversation that have not been read by the user
assignedTo
string
default:"ve9EPM428kjkvShlRW1KT"
Unique identifier of the team member currently responsible for handling this conversation
id
string
default:"ve9EPM428kjkvShlRW1KT"
required
Unique identifier for this specific conversation thread
starred
boolean
default:"True"
Flag indicating if this conversation has been marked as important/starred by the user
{
  "contactId": "ve9EPM428kjkvShlRW1KT",
  "locationId": "ve9EPM428kjkvShlRW1KT",
  "deleted": false,
  "inbox": true,
  "type": 0,
  "unreadCount": 1,
  "assignedTo": "ve9EPM428kjkvShlRW1KT",
  "id": "ve9EPM428kjkvShlRW1KT",
  "starred": true
}
{}
{}

Ejemplo

curl -X GET 'https://services.leadconnectorhq.com/conversations/YOUR_conversationId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/conversations/YOUR_conversationId', {
  method: 'GET',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
  },
});
const data = await response.json();
import os, requests
response = requests.request(
    'GET',
    'https://services.leadconnectorhq.com/conversations/YOUR_conversationId',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
    },
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/conversations/YOUR_conversationId');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
    ],
]);
$data = json_decode(curl_exec($ch), true);